Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.jaxp
Class DocumentBuilderFactoryImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilderFactory
          com.sun.msv.verifier.jaxp.DocumentBuilderFactoryImpl

public class DocumentBuilderFactoryImpl
extends javax.xml.parsers.DocumentBuilderFactory

DocumentBuilderFactory implementation that supports validation.

This class uses another DocumentBuilderFactory implementation and adds the validation capability to it.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`DocumentBuilderFactoryImpl()` Creates a new instance by using the default DocumentBuilderFactory implementation as the underlying parser.
`DocumentBuilderFactoryImpl(javax.xml.parsers.DocumentBuilderFactory _factory)` Creates a new instance by specifying the underlying SAXParserFactory implementation.
`DocumentBuilderFactoryImpl(javax.xml.parsers.DocumentBuilderFactory _factory, org.iso_relax.verifier.Schema _schema)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`boolean` | `getFeature(java.lang.String name)`
`boolean` | `isCoalescing()`
`boolean` | `isExpandEntityReference()`
`boolean` | `isIgnoringComments()`
`boolean` | `isIgnoringElementContentWhitespace()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder()`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setCoalescing(boolean newVal)`
`void` | `setExpandEntityReference(boolean newVal)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setIgnoringComments(boolean newVal)`
`void` | `setIgnoringElementContentWhitespace(boolean newVal)`
`void` | `setNamespaceAware(boolean newVal)`
`void` | `setValidating(boolean newVal)`

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isExpandEntityReferences, newInstance, setExpandEntityReferences`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

  Creates a new instance by using the default DocumentBuilderFactory implementation as the underlying parser. This constructor does not set any schema.

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl(javax.xml.parsers.DocumentBuilderFactory _factory)

  Creates a new instance by specifying the underlying SAXParserFactory implementation. This constructor does not set any schema.

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl(javax.xml.parsers.DocumentBuilderFactory _factory,
                                      org.iso_relax.verifier.Schema _schema)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### isCoalescing

    public boolean isCoalescing()

### isExpandEntityReference

    public boolean isExpandEntityReference()

### isIgnoringComments

    public boolean isIgnoringComments()

### isIgnoringElementContentWhitespace

    public boolean isIgnoringElementContentWhitespace()

### isNamespaceAware

    public boolean isNamespaceAware()

### isValidating

    public boolean isValidating()

### newDocumentBuilder

    public javax.xml.parsers.DocumentBuilder newDocumentBuilder()
                                                         throws javax.xml.parsers.ParserConfigurationException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### setCoalescing

    public void setCoalescing(boolean newVal)

### setExpandEntityReference

    public void setExpandEntityReference(boolean newVal)

### setIgnoringComments

    public void setIgnoringComments(boolean newVal)

### setIgnoringElementContentWhitespace

    public void setIgnoringElementContentWhitespace(boolean newVal)

### setNamespaceAware

    public void setNamespaceAware(boolean newVal)

### setValidating

    public void setValidating(boolean newVal)

### getFeature

    public boolean getFeature(java.lang.String name)

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD